
QGIS Application - Bug report #7652

Attempt to read shape with feature id out of available range.

2013-04-19 08:53 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16572

Description

There is a bug somewhere in vector feature editing code that results into "ERROR 1: Attempt to read shape with feature id (XX) out of

available range."

Observed while editing data in Shapefile (creating new features, saving, deleting from attribute table, copying/pasting new ones etc.).

Exact steps to repeat are unknown, still one needs to delete some features to trigger it.

QGIS versija    1.9.0-Master    QGIS code revision    105e45b

Compiled against Qt    4.8.4    Running against Qt    4.8.4

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

History

#1 - 2013-04-20 12:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot replicate here

#2 - 2013-06-02 07:59 AM - Giovanni Manghi

still true for you?

#3 - 2013-06-02 09:06 AM - Giovanni Manghi

- Priority changed from High to Normal

#4 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2014-06-21 01:31 PM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback.
